/**
 * 常用操作结果
 */
declare class OpResult<T> {
    /**
     * 响应代码
     * 2000 ：成功，5000：失败
     * @type {number}
     */
    code?: number;
    /**
     * 响应消息
     * @type {string}
     */
    message?: string;
    /**
     * 响应数据
     * @type {T}
     */
    data?: T;
    /**
     * 操作成功
     * @param message  响应消息
     * @param data  响应数据
     */
    static success(message?: string, data?: any): OpResult<any>;
    /**
    * 操作失败
    * @param message  响应消息
    * @param data  响应数据
    */
    static error(message: string, data: any): OpResult<any>;
}
export { OpResult };
